My Notes Center - Changes in new versions
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
Legend:
 [+] - added feature
 [*] - modified or improved feature
 [-] - bug fixed, removed feature

Version 1.5.3
~~~~~~~~~~~~~
 + New spellchecker with many languages (see Download page);
 + Insert Symbol dialog now supports Unicode symbol set;
 * MS RichEdit 6.0 from MS Office 2007 is now used where available;
 * The editor is now 100% Unicode (no more ?????? instead of text);
 * Separators are now only between notebooks in QuickAccess toolbar;
 - Fixed saving toolbar positions;
 - Fixed some UI behavior;

Version 1.5.2
~~~~~~~~~~~~~
 + New sorting mode - by note image index;
 * MNC closing time greatly reduced when running from flash or SSD in Portable Mode;
 * Autostart now performed via shortcut in Startup folder of Programs menu;
 * More Vista compatibility;
 - Fixes in sorting routines; 

Version 1.5.1
~~~~~~~~~~~~~
 * Language files are now in UTF8 encoding;
 - A problem with window activation fixed;
 - Some UI fixes;

Version 1.5.0
~~~~~~~~~~~~~
 + Import files into notes;
 + Ability to remove notes from QuickAccess toolbar in popup menu;
 - Fixes in password asking dialog;
 - Small fix in drop-down button appearance;

Version 1.4.5
~~~~~~~~~~~~~
 + Added Portable Mode - ability to work from removable drive;
 + Now just created and deleted notes are recoverable within session;
 * Now restart is not required when entering the registration key;
 - Fixed losing the changes from objects embedded as icons;
 - Some MNC storage engine stability fixes;
 - Fixed a bug when opening program options dialog;
 - Fixed detection of read-only (also due to system policies) files;
 - Fixed losing of registration data;
 - Fixes in opening some help topics;
 - Fixes in OLE objects handling;

Version 1.4.3
~~~~~~~~~~~~~
 - Major security issue fixed (notebook key generation improved);
 - Bug fixed with Find in notebook in away mode;
 - Bug fixed when cancelling the password dialog on encrypted notebook;

Version 1.4.2 
~~~~~~~~~~~~~
 + Added support of multimedia keyboards and mice;
 * Totally improved text framework, better separator insertion, etc.;
 - Fixed determine of shortcut conflicts;
 - Fixed hint text on URLs in text collector;
 - Autoindent bug fixed;
 - Bug fixed with command line parameters;

Version 1.4.1 build 51 - Christmas Edition
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 * Localization engine was updated;
 * Main menu item 'Notebook' now called 'Notes';
 - Fixed a bug with trying to link to notebook root item;
 - Fixed wrong Text Framework library identification;
 - Finally fixed opening the encrypted not compressed notebook;

Version 1.4.0 build 45
~~~~~~~~~~~~~~~~~~~~~~
 + Compatibility with Windows XP Service Pack 2;
 + Compatibility with MS Text Services Framework;
 + Added macros when adding note from template;
 + Advanced URL support including links between notes;
 + Search by note name feature is now true case-insensitive;
 + Some additional visual themes (Aluminum, Athens, Dream, Relifer, NewOffice);
 + Ability to choose note/notebook background color in tree;
 + Ability to choose "No image" for note in notebook;
 * Some improvements in Customize Hotkeys dialog;
 * New XP-style toolbar images;
 * Paragraph line spacing now is a fractional value;
 * Improved Note Properties dialog and color pickers in other dialogs;
 * Improved tree - now supports hot-track style;
 * Improved unloading/loading when switching between notes;
 * Fixed the Sort menu, added 'No Sort' item;
 - Fixed serious bug in note deleting/recovering;
 - Fixed the bug when exporting to .MNC file;
 - Fixed the Security Options dialog behavior;
 - Fixed the AV in Templates dialog;
 - Bug fixed with pasting from clipboard to text collector;
 - Possibility to choose font by entering its name into font selection box;
 - Checks of the exactly exporting notes in export dialog;
 - Fixed the AV when setting text language sometimes;
 - Several bugs in spell checker fixed;
 - Bug when switching notes is fixed;
 - Fixed memory leak when deleting a note;
 - Fixed an AV when deleting a note with subnotes;
 - Fixed drawing the up/down buttons;

Version 1.3.10 build 30
~~~~~~~~~~~~~~~~~~~~~~~
 + Added support for RichEdit library from MS Office 2003;
 * Notes sorting is now permanent;
 * Now the notes expanded state is kept after drag'n'drop;
 * Improved "search by note name" box;
 - Fixed a bug in printing;
 - Ctrl+V now works while editing tree note name;
 - Fixed "Last Saved" in Notes List;
 - Fixes in autosave routines;
 - Fixed spell checking the empty note;
 - Bug fixed in font preview box;
 - Some bugs in notes tree are fixed;

Version 1.3.9 build 26
~~~~~~~~~~~~~~~~~~~~~~

 + Introduced new feature - note items background color in tree;
 + Microsoft Active Accessibility support;
 * Possible to use keyboard to select symbol in Insert symbol dialog;
 * Improved Text collector transparency mode while floating;
 * Exported from subnotes notebook now inherits 'parent' props;
 * Corrected opening encrypted notebooks via cmdline/lastopened/d'n'd;
 * Improved color selection menus;
 - Fixed incorrect entering to autoaway/autoclose modes;
 - ESC now closes find/replace instead of minimizing the MNC window;
 - Fixed incorrect e-mail detection in text collector;
 - Fixed the localizer code bug occurs in Win9x;
 - Ctrl+Up/Down in editor now moves caret through paragraphs;
 - Fixed "RPC error" in visual options dialog;
 - Tray menu was not displayed after cancelling the stealth mode dialog;
 - Fixed some memory leaks;

Version 1.3.8 build 20
~~~~~~~~~~~~~~~~~~~~~~

 + Added changing default margins in notebook visual options;
 * MNC now autostarts with Windows in minimized state;
 * Encrypted notebooks are opened in Away mode on start;
 * MAJOR: Reordered OK/Cancel/Apply buttons (was OK/Apply/Cancel);
 - Fixed incorrect menu drawing in Win9x (Default & OfficeX themes);
 - Fixed inability to shutdown system with 'Minimize on close' option;
 - Fixed a bug in Text language selection dialog;
 - Fixed weird images in saving and add to favorites (Win98 only);
 - Fixed text collector AlwaysOnTop mode;
 - Some fixes in installer;

Version 1.3.8 build 18
~~~~~~~~~~~~~~~~~~~~~~

 + Added ability to recover accidentaly deleted notes;
 + Added 'Shortcuts customizer';
 + Added Text Collector with some useful features;
 + Added Security options: away and close timers;
 + Added Last saved column in Notes list
 + Added date/time format in Editor Additional options;
 + Added QuickAccess notes toolbar;
 + Added toolbars locking (prevent dragging&docking);
 + Customizable URL clicks handling;
 + Extremely decreased memory usage;
 + Added fullscreen mode (F11);
 + Added 'View|Hide tree' item (F9);
 + 'Search by note name' by Ctrl+Alt+F;
 + Nice trick: 'walk' over notes with Ctrl (now fixed!);
 + Added smart error-reporting mechanism;
 + Added support for relative paths in 'file://' links; 
 + Additional editor options available;
 + Paste from clipboard as plain text by Ctrl+Shift+V;
 + New option: Force away mode when going to stealth mode;
 + Added Clipboard Properties dialog;
 + Added Clipboard and Collector options;
 + Added sort notes by last saved time;

 * MAJOR: Export to one file/multiple files now complete;
 * MAJOR: Images now saved correctly when d'n'd btwn notebooks;
 * MAJOR: Improved XP Themes support (thanks to Mike Lischke);
 * MAJOR: Spell checking now extendable by plugins;
 * MAJOR: Additional toolbars docking places;
 * Insert Symbol dialog is now resizable;
 * Internal changes in encrypted notebooks loading routines;
 * HTML export now saves images in .PNG format;
 * Default note image is notebook (not global) option;
 * Internal changes in extension libraries;
 * TAB/Ctrl+TAB option in Common|Editor;
 * MAJOR: Improved drag'n'drop notes with clone support;
 * Some changes in tree appearance;
 * Changes in Find in notebook window;
 * Changes in startup code;
 * Now Find in notebooks dialog can be resized by width;
 * More correct support for text typing with mixed languages;
 * Corrected working with multimonitor systems;
 * Some fixes in separator insertion;
 * Now hints have shadows in Windows XP;
 * 'Find in notebooks' also check note names (in tree);

 - MAJOR: Fixed inability to copy text from one note to another;
 - MAJOR: Fixed clipboard viewer 'exception... in RICHED20.DLL';
 - MAJOR: Fixed inability to shutdown Windows while MNC started;
 - Fixed: Was unable to insert rtf/txt file opened by another app;
 - Fixed a bug with export entire notebook to another MNC file;
 - Some fixes in tree drag'n'drop;
 - Fixed incorrect default paragraph indents;
 - Fixed a bug with 'Minimize on start' option;
 - Fixed flickering in tree when opening several notebooks;
 - Fixed problem with working as Guest on NT/2k/XP systems;
 - Fixed flickering of Notebook Properties pane in WinXP;
 - Fixed AV in auto-indent mode when using numbering style;
 - Fixed a 'one-instance' code (thanks to RSDN.ru);
 - Fixed a bug in note saving routine;
 - Fixed losing text formatting when inserting separator;
 - Fixed inability to shutdown system while MNC is running;
 - Fixed error when entering wrong password for encrypted notebook;
 - Ablility to use all standart keystrokes when editing note name;
 - Default colors were not applied;
 - Other minor bugs fixed; 

Version 1.2 RC-7 (build 952)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Added 'Current note colors';
 + Added 'View|Status Bar' item;
 + Added URL-menu (doubleclick on URL in editor to show);
 + Find in notebook now available;
 + German and French interfaces now available;
 * Color is visible on toolbar' button (was removed in RC-6);
 * Status bar is also 'themed';
 * Redesigned 'Notebook properties' page;
 * Improved and fixed font combo appearance;
 - MAJOR: Fixed bug when using 'Protected' style;
 - Was impossible to set custom text size in toolbar' combo;
 - Fixed: Opening files from UNC-paths (from network);
 - Fixed: Status clock state was not saved;
 - Fixed: unable to reorder read-only notebooks;
 - Fixed: Error message when exiting with 'cut' note;
 - Fixed: Error message when tips.txt is not exists;
 - A lot of more minor fixes;

Version 1.2 RC-6 (build 942)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + New toolbars and menus with "themes" support
   (Default, Office XP and Office X themes available);
 + Ability to choose any image for note (even from ico/bmp file);
 + New compression algorithm (BZIP) now used to store notes/images;
 + Ability to 'clone' notes (only within notebook - will be extended soon);
 + Ability to add 'template files' to Quick Objects menu;
 + Added support for different measurement systems (inches/centimeters);
 + Hold Shift during starting MNC to skip loading 'last used' notebooks;
 * Zoom subitem in View menu (and in statusbar);
 * Now interface language selection is in separate dialog;
 * More compatible with 'Large fonts' mode;
 * Now page layout (header/footer/marginlines) is note (not global) option;
 * Most of the dialogs redesigned to be more usable;
 * Some fixes in clipboard viewer;
 - Fixed: WMF/EMF pictures were non-insertable to note;
 - Fixed: 'Do not show message/dialog' checkboxes weren't saved;
 - Fixed some resource leaks;
 - Bug fixed when closing newly created notebook;
 - Fixed a bug when switching to MNC while Open/Print/etc dialog is opened;
 - Removed color menus customizer;

Version 1.1 RC-5 (build 928)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
The most important improvements:
 + Added abitily to customize color menus;
 + Added 'Quick objects' menu;
 + Browse back/forward in notes selection history;
 * Now MNC is fully compatible with Windows XP!;
 * New greatly improved options dialog;

Other improvements and fixes:
 + Added ability for note to 'Move higher' and 'Move lower';
 + Added Ctrl+B/U/I shortcuts in tree to set tree note style;
 + Several new options added;
 + Added new toolbar - 'Insert';
 * Fixes in Favorites organizer;
 * Fixes clicking on URL responses;
 - Fixed: tree smtms "loses" its font;
 - Bug fixed when editing note name;
 - Toolbar buttons behavior fixed in WinXP (VCL bug!);
 - Cosmetic bug fixed with Insert/Overwrite mode in editor;
 - Bug fixed in Notebook Visual options dialog;
 - Some bugs fixed in reordering notes by keyboard;
 - Small bug fixed when creating new notebook;
 - Bug fixed in 'Export subtree';
 - MAJOR: Options weren't saved smtms in previous version;
 - Fixed a bug with Ruler when switching between zoomed notes;
 - Fixes in Preview;
 - Fixes in 'Notes List';
 - Fixed two more bugs in Clipboard Viewer;
 - Bug fixed in 'Note Properties' (wrong applying Readonly);
 - A couple of minor fixes;

Version 1.1 RC-4 (hotfix 916)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Adv. styles are also exported to HTML (line spacing, etc.);
 + Page header/footer (will be customizable in release);
 * Now supported read-only notebooks (notes cannot be edited);
 * More correct pages counting (started from 1st, not from zero);
 * Changes in Styles menu items;
 - Some fixes in HTML export;
 - MAJOR: Fixes in Clipboard viewer;

Version 1.1 RC-4 (build 915)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Ability to select note image by clicking on it in tree;
 + MAJOR: Now Ruler shows correct measurement units;
 + MAJOR: Added separate Tabs editor;
 + Used some adv. features from Office XP;
 * MAJOR: Tabs on ruler implemented correctly;
 * MAJOR: Improved 'Export from note';
 * MAJOR: HTML export feature now fully implemented;
 * MAJOR: Now Paragraph format measured in centimeters/inches;
 * Improved options design;
 * Now hotkey works as toggle - minimize/restore;
 * MAJOR: Drag'n'drop in tree are fully & correctly implemented;
 * Improved tray menu and 'Recent notebooks' menu;
 * Now font name and size combos on toolbar have a flat style;
 * Open/save dialogs now displayed in new style (Me/2000);
 - Fixed a bug when changing printer properties outside MNC;
 - Delete key when editing note name in tree now works;
 - MAJOR: Fixed a bug when printing a range of pages;
 - Fixed 'Canvas doesn't allow drawing' when inserting picture;
 - MAJOR: Ruler wasn't zoomed with editor, now fixed;
 - Some fixes in popup button component;
 - Fixed autoindent feature;

Version 1.1 RC-3 (build 911)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + More hotkeys (same as in MS Word);
 + PgUp/PgDown now works in Print Preview;
 * Improved font selection list;
 * MAJOR: Improved and fixed 'Paragraph format' dialog;
 * Improved and fixed statusbar in main window;
 - MAJOR: Fixed a lot of bugs in drag'n'drop routines;
 - Fixes in overwrite edit mode;
 - Fixed all incompatibilities in symbol inserting;
 - Fixed a bug with displaying message boxes;
 - Fixed major bug with disabling controls;
 - 'Cannot open clipboard' message fixed in clipboard viewer;
 - Fixes in items and buttons enabling/disabling;
 - Fixed tons of bugs in interface (menus, toolbars);
 - Removed focus-on-move on tree (now only on editor);

Version 1.1 RC-2 (build 908)
~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Added support of RichEdit 3.0 functionality (available in Windows Me/2000/XP):
   + Justify paragraphs alignment;
   + Advanced paragraph numbering and underline styles;
   + Editor area zoom for each note;
   + Saving/restoring scroll position for each note;
   + Smart increase/decrease font size of selected text;
 NOTE: To use these features in Windows 95/98 you should download a RichEdit 3.0
       update. Link to download is available in our site (Download Page).

 + Added Spell Checker (uses MS Office dictionaries);
 + Added HTML export (with pictures!!!);
 + Added Apply button in options dialog;
 + Added ability to work with plain text notes;
 + Added support for JPEG/GIF images inserting;
 + Added 'Insert symbol' dialog;
 + Small trick: editor and tree automatically focused on mouse move (try it!);
 + Draft implementation of scrolling treeview when drag'n'drop;
 + Added bullet list indentation changing on TAB/Shift+TAB;
 + Added 'Notes list';
 + Added Oem->Ansi and Ansi->Oem conversions;
 + Added math expressions evaluator (supports a lot of math functions);
 + Added 'Goto line' dialog;
 + Added 'Stealth on minimize' option;
 + Improved status bar - added more status panels;
 * Major improvement: Notebook encryption system was totally rewritten;
 * Improved Paragraph format dialog;
 * Now pictures are inserted NOT via clipboard;
 * Improved 'Notebook properties' panel;
 * Improved options saving and restoring;
 * Now icon in System Tray restores on explorer crash or restart;
 * Fixes in adding to favorites;
 * Courier font now used for plain text clipboard content;
 - A lot of fixes in export routines;
 - Fixed a bug after Font selection dialog;
 - Fixed major bug in Pack routine;
 - Fixes in SaveAll and CloseAll routines;
 - Fixes in Style Editor (font color now can be edited);
 - Fixed style applying (now single undo to unapply style);
 - Fixed a bug in minimize routine;
 - Some fixes in traymenu;
 - Fixed potential bug in window procedure;
 - A lot of other fixes;

Version 1.1 RC-1 (build 886) - new features introduced
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Added a part of advanced exporting features; 
 + Major feature: Drag'n'drop notes between notebooks!;
 + Added cut/paste notes within tree;
 + Added 'Stealth mode' (hide from taskbar and systray);
 + Added password reminder - helpful when you forget your password;
 + Added 'hint-on-URL' in editor;
 + Added F6 shortcut to switch between note and tree;
 + Ability to reorder opened notebooks (Ctrl+Up, Ctrl+Down);
 + Added Ctrl+Ins/Shift+Ins to copy/paste in editor;
 * More convenient hotkey selection in options;
 * Improved notebook security and protection features;
 * 'Auto-minimize on start' option now works more correct;
 * Improved localization engine;
 * Improved font size selection combobox;
 * Changed installation engine (GhostInstaller);
 - Fixed small bug with inserting separator;
 - Fixed a bug with expanding/collapsing notes;
 - Fixed a bug with opening file with long name from Explorer;
 - Fixed a bug with opening the same notebook twice in Windows NT/2000;
 - Fixed a bug with activating the program from taskbar;
 - Fixed a bug with forgetting info from newly created note;
 - Fixed a bug with closing program with [X] button;
 - Read-only notebook now cannot be packed;
 - Fixed a bug with loading configuration from INI-file in command line;
 - Fixed some bugs appears in Windows NT/2000 systems;
 - Fixed memory and resource leaks;
 - Some minor bugfixes;

Version 1.0 (internal)
~~~~~~~~~~~~~~~~~~~~~~
 + Ability to save clipboard contents to rtf/txt/bmp/wmf/ico;
 + Ability to read rtf/txt/bmp/wmf files to clipboard;
 * Now add note/delete note buttons works even if editor focused;
 * Some enchancements in program startup code;
 - Fixed a bug with changing "Minimize to Tray" option;
 - Fixed a bug when dropping note to root with Alt-pressed;
 - Fixed a bug when creating new notebook with empty tree;
 - Many final bugfixes;

Version 1.0 b4 - pre-release improvements
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Added configurable localization engine with ability to add
   new interface languages w/o any code or data compilation;
 + Ability to revert original note from file ('forget changes');
 + Added Find in notebook feature;
 + Ability to close Print Preview window by ESC;
 + Increase/decrease selected text size by pressing Ctrl+GrayPlus/Minus;
 + Dropping note in tree while holding Alt will place it before the 
   target note;
 + Added ability to sort notes by name/size/creation time;
 * Now the most correct saved/unsaved logic;
 * Improved options reading;
 * Some internal improvements in notebook loading/saving
   (are to be much more fast and reliable);
 * Improved and fixed clipboard viewer appearance;
 * Doubleclick on trayicon minimizes main window, singleclick - restores;
 * Some visual changes in traymenu;
 - Fixed: Autorun with Windows option now works;
 - Fixed a bug with font size selector;
 - Fixed a cosmetic bug with notes drag'n'dropping;
 - Fixed a bug with maximized main window on start;
 - Fixes in print preview feature;
 - A lot of pre-release fixes;

Version 1.0 b3 - bugfixes and impovements
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Node expanded/collapsed state now saved;
 * Internal changes in tree popupmenu appearance (able to select node
   by right-mouse click and popup context menu);
 * Some improvements in saved/unsaved logic;
 * Left-click on icon in System Tray activates MNC window;
 * Some changes in Note/Notebook visual properties (internal);
 - Major bug fixed: losing all text styles in previous note when creating new notebook;
 - Help-Online information items now works;
 - Fixed potential major bug in notebook storing routine;
 - Fixed a bug with applying options;
 - Fixed some bugs appear when there is only 1 favorite or last used notebooks;
 - Major bug fixed: note sometimes clears completely;
 - Fixed filename representation in Notebook Properties;
 - Minimize on ESC-key in options does not work - fixed;
 - Fixed a bug with incorrect work after inserting plain text to note;
 - Fixed a bug when item height wasn't recalculated in Style Editor;
 - Fixed a bug with toolbar "cropping" by window edge;
 - Fixed a bug with inserting link to file which contains spaces in its name;
 - Now Windows shutdowns correctly when MNC is running;
 - Format-Special-Hidden style removed;
 - A lot of other fixes;

Version 1.0 b2 - first available worldwide
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Ability to use different ini-files by specifing them in the command line;
 + Ability to read more that 1 notebook from command line;
 + Notebook backup feature (File->Export->Backup);
 + Minimize main window with ESC and restore with global system hotkey (configurable);
 * MNC-files from Explorer now is opened correctly keeping running only one instance;
 * Editable notebook name instead of notebook filename as a root text in tree;
 * Some changes in traymenu and main window appearance;
 * Improved saved/unsaved logic;
 - Fixes in Minimize on close option, program exiting logic improved;
 - Fix crashing all text formatting when inserting separator;
 - Minimize On Start option now works properly;
 - Fix an AV message when using Autoindent on empty editor;
 - A lot of fixes from beta-testers (many thanks to all of them!);

Version 1.0 b1 - for hard (burn-in) tests
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Ability to change saving & security option of newly created notebook;
 * Notebook visual options dialog improved;
 - Minor fixes in autoindent feature implementation;
 - Minor bugs fixed;

Version 1.0 a2 - for first public tests
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
 + Ability to drag'n'drop MNC-files from Explorer;
 + A couple of features added in this version;
 - Access Violation message on quit (smtms);
 - Notebook file crashing on "Decrypt notebook" (smtms);
 - Sometimes text isn't saved (particulary when notebook contains only 1 note);
 - A LOT of other bugfixes

Versions 0.xx - 1.0 a1
~~~~~~~~~~~~~~~~~~~~~~
 + History keeps silence...
 * History keeps silence...
 - History keeps silence...

© BC software development, 2000-2009